<?php

namespace app\process;


use app\event\GoogleAdsCampaigns;
use app\event\GoogleAdsGroups;
use app\event\GoogleAdsAds;
use app\event\GoogleAdsDateDatas;
use Webman\Event\Event;
use Workerman\Crontab\Crontab;

/**
 * 更新热搜列表任务
 */
class UpdateGoogleAdsTask
{
    //错开时间执行，否则固定时间段接口会响应很慢
    public function onWorkerStart()
    {


        // 每15分钟执行一次
        new Crontab('10 */1 * * * *', function () {

//            $dayBeforeYesterdayStart = date('Y-m-d', strtotime('-2 day'));
//            dump($dayBeforeYesterdayStart . '更新' . GoogleAdsDateDatas::type . '开始');
//            Event::emit(GoogleAdsDateDatas::type, ['customer_id' => 4060397299, 'date' => $dayBeforeYesterdayStart]);

        }
        );

        // 每15分钟执行一次
        new Crontab('20 */1 * * * *', function () {
//            $yesterdayStart = date('Y-m-d', strtotime('-1 day'));
//            dump($yesterdayStart . '更新' . GoogleAdsDateDatas::type . '开始');
//            Event::emit(GoogleAdsDateDatas::type, ['customer_id' => 4060397299, 'date' => $yesterdayStart]);
        }
        );

        // 每15分钟执行一次
        new Crontab('30 */1 * * * *', function () {
            //获取今天的 0 点的YYYY-MM-DD格式
//            $todayStart = date('Y-m-d', strtotime('0 day'));
//            dump($todayStart . '更新' . GoogleAdsDateDatas::type . '开始');
//            Event::emit(GoogleAdsDateDatas::type, ['customer_id' => 4060397299, 'date' => $todayStart]);
        }
        );
        // 每15分钟执行一次
        new Crontab('40 */1 * * * *', function () {
//            dump(date('Y-m-d H:i:s') . '更新' . GoogleAdsCampaigns::type . '开始');
//            Event::emit(GoogleAdsCampaigns::type, ['customer_id'=>4060397299]);
        }
        );

        // 每15分钟执行一次
        new Crontab('50 */1 * * * *', function () {
//            dump(date('Y-m-d H:i:s') . '更新' . GoogleAdsGroups::type . '开始');
//            Event::emit(GoogleAdsGroups::type, ['customer_id'=>4060397299]);
        }
        );

        // 每15分钟执行一次
        new Crontab('55 */1 * * * *', function () {
//            dump(date('Y-m-d H:i:s') . '更新' . GoogleAdsAds::type . '开始');
//            Event::emit(GoogleAdsAds::type, ['customer_id'=>4060397299]);
        }
        );

        // 每2分钟执行一次
        new Crontab('0 */1 * * * *', function () {
//            dump(date('Y-m-d H:i:s') . '更新' . GoogleAdsCampaigns::type . '开始');
//            Event::emit(GoogleAdsCampaigns::type, ['customer_id'=>4060397299]);

        });

        // 每30分钟执行一次
//        new Crontab('0 */30 * * * *', function () {
//            dump(date('Y-m-d H:i:s') . '更新' . V2ex::type . '开始');
//            Event::emit(V2ex::type, null);
//
//            dump(date('Y-m-d H:i:s') . '更新' . GitHub::type . '开始');
//            Event::emit(GitHub::type, null);
//
//            dump(date('Y-m-d H:i:s') . '更新' . JueJin::type . '开始');
//            Event::emit(JueJin::type, null);
//        });

    }
}
